summaryrefslogtreecommitdiffstats
path: root/sssd-nightly.sh
diff options
context:
space:
mode:
authorStephen Gallagher <sgallagh@redhat.com>2009-11-25 09:57:05 -0500
committerStephen Gallagher <sgallagh@redhat.com>2009-11-25 09:57:05 -0500
commit7eefc70148bc6f18756e5a75bb66bd0c7c465239 (patch)
tree88e97981f1069241a7d3a2426ae33ef89a13669b /sssd-nightly.sh
parenta8c618de32c0a50860c5b8f6c4ecf72d88b651e0 (diff)
downloadbuild_tools-7eefc70148bc6f18756e5a75bb66bd0c7c465239.zip
build_tools-7eefc70148bc6f18756e5a75bb66bd0c7c465239.tar.gz
build_tools-7eefc70148bc6f18756e5a75bb66bd0c7c465239.tar.xz
Add Fedora 12 build
Diffstat (limited to 'sssd-nightly.sh')
-rwxr-xr-xsssd-nightly.sh68
1 files changed, 68 insertions, 0 deletions
diff --git a/sssd-nightly.sh b/sssd-nightly.sh
index a457023..616630c 100755
--- a/sssd-nightly.sh
+++ b/sssd-nightly.sh
@@ -91,6 +91,74 @@ autoreconf -i -f >> $LOGFILE 2>&1 || finish 1
make srpms >> $LOGFILE 2>&1 || finish 3
cd rpmbuild/SRPMS
+echo "===== BUILDING Fedora 12 i586 =====" >> $LOGFILE
+mock -r fedora-12-i386 sssd-$rpmversion.fc11.src.rpm >> $LOGFILE 2>&1 || failed=1
+if [ $failed ]; then
+ cat /var/lib/mock/fedora-12-i386/result/build.log >> $LOGFILE
+ finish 4
+fi
+
+echo "===== BUILDING Fedora 12 x86_64 =====" >> $LOGFILE
+mock -r fedora-12-x86_64 sssd-$rpmversion.fc11.src.rpm >> $LOGFILE 2>&1 || failed=1
+if [ $failed ]; then
+ cat /var/lib/mock/fedora-12-x86_64/result/build.log >> $LOGFILE
+ finish 5
+fi
+
+echo "===== CREATING Fedora 12 i586 YUM REPOSITORY ====" >> $LOGFILE
+mkdir -p $repodir/f12/SRPMS
+mkdir -p $repodir/f12/i386/DEBUGINFO
+mkdir -p $repodir/f12/i386/RPMS
+cp /var/lib/mock/fedora-12-i386/result/sssd-$rpmversion.fc11.src.rpm $repodir/f12/SRPMS
+cp /var/lib/mock/fedora-12-i386/result/sssd-debuginfo-$rpmversion.fc11.i586.rpm $repodir/f12/i386/DEBUGINFO
+cp /var/lib/mock/fedora-12-i386/result/sssd-$rpmversion.fc11.i586.rpm $repodir/f12/i386/RPMS
+cp /var/lib/mock/fedora-12-i386/result/sssd-client-$rpmversion.fc11.i586.rpm $repodir/f12/i386/RPMS
+
+createrepo $repodir/f12/SRPMS > /dev/null
+if [ $? -eq 0 ]; then
+ echo "Fedora 12 SRPM Repo updated" >> $LOGFILE
+else
+ echo "Fedora 12 SRPM Repo not updated" >> $LOGFILE
+fi
+
+
+createrepo $repodir/f12/i386/DEBUGINFO > /dev/null
+if [ $? -eq 0 ]; then
+ echo "Fedora 12 i386 DEBUGINFO Repo updated" >> $LOGFILE
+else
+ echo "Fedora 12 i386 DEBUGINFO Repo not updated" >> $LOGFILE
+fi
+
+createrepo $repodir/f12/i386/RPMS > /dev/null
+if [ $? -eq 0 ]; then
+ echo "Fedora 12 i386 RPM Repo updated" >> $LOGFILE
+else
+ echo "Fedora 12 i386 RPM Repo not updated" >> $LOGFILE
+fi
+
+echo "===== CREATING Fedora 12 x86_64 YUM REPOSITORY ====" >> $LOGFILE
+mkdir -p $repodir/f12/x86_64/DEBUGINFO
+mkdir -p $repodir/f12/x86_64/RPMS
+cp /var/lib/mock/fedora-12-x86_64/result/sssd-debuginfo-$rpmversion.fc11.x86_64.rpm $repodir/f12/x86_64/DEBUGINFO
+cp /var/lib/mock/fedora-12-i386/result/sssd-debuginfo-$rpmversion.fc11.i586.rpm $repodir/f12/x86_64/DEBUGINFO
+cp /var/lib/mock/fedora-12-x86_64/result/sssd-$rpmversion.fc11.x86_64.rpm $repodir/f12/x86_64/RPMS
+cp /var/lib/mock/fedora-12-x86_64/result/sssd-client-$rpmversion.fc11.x86_64.rpm $repodir/f12/x86_64/RPMS
+cp /var/lib/mock/fedora-12-i386/result/sssd-client-$rpmversion.fc11.i586.rpm $repodir/f12/x86_64/RPMS
+
+createrepo $repodir/f12/x86_64/DEBUGINFO > /dev/null
+if [ $? -eq 0 ]; then
+ echo "Fedora 12 x86_64 DEBUGINFO Repo updated" >> $LOGFILE
+else
+ echo "Fedora 12 x86_64 DEBUGINFO Repo not updated" >> $LOGFILE
+fi
+
+createrepo $repodir/f12/x86_64/RPMS > /dev/null
+if [ $? -eq 0 ]; then
+ echo "Fedora 12 x86_64 RPM Repo updated" >> $LOGFILE
+else
+ echo "Fedora 12 x86_64 RPM Repo not updated" >> $LOGFILE
+fi
+
echo "===== BUILDING FEDORA 11 i586 =====" >> $LOGFILE
mock -r fedora-11-i386 sssd-$rpmversion.fc11.src.rpm >> $LOGFILE 2>&1 || failed=1
if [ $failed ]; then